Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Gnu Regression, Econometrics and Time-series Library
Name:      	gretl
Version:   	1.7.5
Release:   	1
License: 	GNU/GPL
URL:		http://gretl.sourceforge.net/
Group:     	Science/Econometrics
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-destdir-fix.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libart_lgpl-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  atk-devel
BuildRequires:  audiofile-devel
BuildRequires:  lapack
BuildRequires:  libbonobo-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  cairo-devel
BuildRequires:  openssl-devel
BuildRequires:  esound-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  GConf-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gmp-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libgnomeprint-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  ncurses-devel
BuildRequires:  ORBit2-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  readline-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib
BuildRequires:  gnuplot

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
gretl is a cross-platform software package for econometric analysis, written in the C programming language.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.



%post
ldconfig


%postun
ldconfig


%prep
%setup -n %{name}-%{version}
%patch0 -p1
./configure 	--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--with-gconf-schema-file-dir=/etc/gconf/schemas \
		--with-gconf-source=/etc/gconf/schemas 
make clean

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/gretl/data
make install-strip DESTDIR=$RPM_BUILD_ROOT
# install desktop file
install -d ${RPM_BUILD_ROOT}%{_datadir}/applications/
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/


%files
%defattr(-,root,root)
%_bindir/
%_mandir/
%_libdir/*.so.*
%_libdir/gretl-gtk2
%_datadir/gretl/
%_datadir/locale/
%_datadir/applications/
%_datadir/pixmaps
%_datadir/mime-info

%files devel
%defattr(-,root,root)
%_includedir/
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.7.5-1
- Version update
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.7.4-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.7.3-1
- Version update
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.7.0-2
- rebuild against gcc 4.1.2
* Thu Nov 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.7.0-1
- Version update
* Mon May 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.5-1
- Version update
* Mon May 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.4-1
- Version update
* Fri May 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.3-1
- Version update
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2-1
- Version update
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version update
* Sun Apr 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.1-2
- fixed desktop entry
* Sat Apr 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.1-1
- Initial Release
